xcb_unmap_window(3)

NAME
xcb_unmap_window - Makes a window invisible

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_unmap_window(xcb_connection_t *conn, xcb_window_t window);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    The window to make invisible.

DESCRIPTION
Unmaps the specified window. This means making the window invisible (and all its child windows). Unmapping a window leads to the UnmapNotify event being generated. Also, Expose events are generated for formerly obscured windows.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_unmap_window_checked. See xcb-requests(3) for details.

ERRORS

xcb_window_error_t
    The specified window does not exist.

SEE ALSO
xcb-requests(3), xcb_expose_event_t(3), xcb_map_window(3), xcb_unmap_notify_event_t(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.